<?

//Изменение альбома
if ($user['level'] > $ank['level'] || $user['id'] == $ank['id']){
if (isset($_GET['edit']) && $_GET['edit'] == 'rename'){
echo '<div class="block2">';
echo '<form action="?edit=rename&amp;ok" method="post">';
echo '<input class="input" placeholder="Название" type="text" name="name" value="'.text($gallery['name']).'" />';
echo '<div id="none">';
echo '<textarea placeholder="Описание" name="opis"></textarea>';
echo '<input placeholder="Пароль" type="text" name="pass" value="'.text($gallery['pass']).'" />';
echo 'Могут смотреть:<br />';
echo '<input name="privat" type="radio" '.($gallery['privat'] == 0 ? ' checked="checked"' : null).' value="0" />Все'; 
echo '<input name="privat" type="radio" '.($gallery['privat'] == 1 ? ' checked="checked"' : null).' value="1" />Друзья'; 
echo '<input name="privat" type="radio" '.($gallery['privat'] == 2 ? ' checked="checked"' : null).' value="2" />Только я';
echo 'Могут комментировать:<br />';
echo '<input name="privat_komm" type="radio" '.($gallery['privat_komm'] == 0 ? ' checked="checked"' : null).' value="0" />Все'; 
echo '<input name="privat_komm" type="radio" '.($gallery['privat_komm'] == 1 ? ' checked="checked"' : null).' value="1" />Друзья'; 
echo '<input name="privat_komm" type="radio" '.($gallery['privat_komm'] == 2 ? ' checked="checked"' : null).' value="2" />Только я';
echo '</div>';
echo '<input class="button" type="submit" value="Сохранить" />';
echo '</form>';
echo '</div>';
	
include_once '../../sys/inc/tfoot.php';
exit;
}
}

//Удаление альбома
if ((user_access('foto_alb_del') || isset($user) && $user['id'] == $ank['id']) && isset($_GET['act']) && $_GET['act'] == 'delete'){
echo '<div class="err">';
echo 'Удалить альбом и все его содержимое?</br>';
echo '<a href="?act=delete&amp;ok">Удалить</a> | <a href="/modules/photo/'.$user[id].'/'.$gallery['id'].'/">Нет, я передумал(-а)</a>';
echo '</div>';
}

//Загрузка фото
if (isset($user) && $user['id'] == $ank['id'] && isset($_GET['act']) && $_GET['act'] == 'upload'){
echo '<div class="block3"><center><img width="150" src="/img/add_photo.png"></center></div>';
echo '<div class="block2">';
echo '<form id="photo_form" enctype="multipart/form-data" action="?act=upload&amp;ok" method="post">';
echo '<input class="input" placeholder="Название..." name="name" type="text" />';
echo '<textarea class="input2" placeholder="Описание..." name="opis"></textarea>';
echo '<input class="input" type="file" name="file" onchange="readURL(this);" accept="image/*">';
echo '<img width="200" id="user_photo" src="">';
echo '<input class="button" type="submit" value="Загрузить" />';
echo '</form>';
echo '</div>';

include_once '../../sys/inc/tfoot.php';
exit;
}

?>